var timeout = 3000; // ms

function decrypt(algorithm, hash) {
  $.ajax({
    type: "GET",
    timeout: timeout,
    url: "/regenboog.json?" + algorithm + "=" + hash,
    cache: true,
    complete: function (response) {
      var o = $.parseJSON(response.responseText);

      if (o.status === "NoMatch") {
        $("#status").val("No match");
      }
      else {
        $("#password").val(o.password);

        for (var algorithm in o.hashes) {
          var hash = o.hashes[algorithm];
          $("#" + algorithm).val(hash);
        }

        $("#status").val("Decrypted");
      }
    },
    error: function (req, status, err) {
      $("#status").value("Timeout");
    }
  });
}

function total() {
  $.ajax({
    type: "GET",
    timeout: timeout,
    url: "/regenboog.json?total=1",
    cache: false,
    complete: function (response) {
      var o = $.parseJSON(response.responseText);

      $("#total").html(o.total);
    },
    error: function (req, status, err) {}
  });
}

total();
